
I was 9 1/2 years old and it was mid-winter in Northern Ontario. My mom had sent me to the store. I went to cross the road and fell through the ice that covered a ditch. I slid through the snow-covered hole in the ice and ended up on my back, under thick ice. I flailed and tried to find the hole I'd fallen through but was unable to do so. I had a panic when I first breathed in water and then a total and complete calm.

I went from being frozen, quivering, silently screaming, to feeling incredible warmth and happiness. I was bathed in light and no longer felt wet, weighed down by ice, water, clothes or worries. I was perfectly warm, joyous, loved and peaceful. The light surrounded me but also seemed to direct me forward. I felt the same kind of perfect and overwhelming love I felt when I first held each of my sons.

Suddenly, I was feeling a cold dark pulling that I fought to resist. My next memory is of throwing up as a stranger held me. I was freezing and so sad. She wrapped me in a stinky and hairy dog blanket and put me in her car. After a few minutes, I was able to point out my house. While my mom rushed me into a hot bath, she told my dad what had happened. She was driving and out of the corner of her eye, saw me go down. She thought I had just fallen and continued to drive but had a bad feeling and after a minute, she turned her car. She found the spot where I went down and saw the hole in the ice but couldn't get me back up the hole as I was on my back and the hole was quite small. She ran to the car for her ice scraper and used it to open the hole. She estimated I was in the water 4 or 5 minutes. She had to give me mouth to mouth to get me breathing again.

I told my dad what happened when I was in the ice and he told me the light would still be there for me when I was an old lady but I had a lot to do with my life and it wasn't my time.
